#!/bin/bash
#
# source: http://labs.adobe.com/downloads/flashplayer10.html
#
# maintainer: gmg (g.monpontet@gmail.com)
#

soft="flash-plugin"
softversion="11.2.202.235"
arch="i686"
packageversion="72.1"
buildir=$(pwd)
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

cd $buildir
tar -xvzf install_flash_player_11_linux.i386.tar.gz
rm -f $dest.txz
rm -rf $dest
mkdir -p $dest
chown -R root:root .

mkdir -p $dest/usr/lib/mozilla/plugins
mkdir -p $dest/etc/adobe
mkdir -p $dest/usr/share/licences/$soft
cp -a $buildir/usr $dest
cp $buildir/libflashplayer.so $dest/usr/lib/mozilla/plugins

cp LICENSE $dest/usr/share/licences/$soft
cp mms.cfg $dest/etc/adobe

mkdir -p $dest/install
cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

            |-----handy-ruler--------------------------------------------------|
flash-plugin: flash-plugin - Macromedia Flash Player plugin
flash-plugin:
flash-plugin: Macromedia Flash Player is free software that lets you view web
flash-plugin: content created by Macromedia Flash
flash-plugin: This content may be interactive content such as menus that slid
flash-plugin: or may be complex programs like games and movies
flash-plugin:
flash-plugin:
flash-plugin:
flash-plugin:
flash-plugin:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5